apiVersion: apps/v1
kind: Deployment
metadata:
  name: fb-app-deployment
  namespace: fb-app
spec:
  replicas: 3
  selector:
    matchLabels:
      app: fb-app
  template:
    metadata:
      labels:
        app: fb-app
    spec:
      containers:
        - name: fb-app
          image: registry.wanono-corp.com/capgemini/friday-booster-2023/fbapp:1.0.0
          env:
            - name: ENV_MESSAGE
              value: "Mon message"
          resources:
            limits:
              memory: 256Mi
              cpu: 500m
          ports:
            - name: http
              protocol: TCP
              containerPort: 8080
          readinessProbe:
            httpGet:
              port: http
              path: /
            initialDelaySeconds: 10
            periodSeconds: 5
            successThreshold: 1
            timeoutSeconds: 5
          livenessProbe:
            httpGet:
              port: http
              path: /
            initialDelaySeconds: 30
            periodSeconds: 5
            failureThreshold: 1
            timeoutSeconds: 5
      